Plesk\backup\Agent\Schema\Backup\SiteType:
    properties:
        id:
            expose: true
            access_type: public_method
            serialized_name: id
            accessor:
                getter: getId
                setter: setId
            xml_attribute: true
            type: string
        guid:
            expose: true
            access_type: public_method
            serialized_name: guid
            accessor:
                getter: getGuid
                setter: setGuid
            xml_attribute: true
            type: string
        ownerGuid:
            expose: true
            access_type: public_method
            serialized_name: owner-guid
            accessor:
                getter: getOwnerGuid
                setter: setOwnerGuid
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        www:
            expose: true
            access_type: public_method
            serialized_name: www
            accessor:
                getter: getWww
                setter: setWww
            xml_attribute: true
            type: string
        crDate:
            expose: true
            access_type: public_method
            serialized_name: cr-date
            accessor:
                getter: getCrDate
                setter: setCrDate
            xml_attribute: true
            type: string
        parentDomainName:
            expose: true
            access_type: public_method
            serialized_name: parent-domain-name
            accessor:
                getter: getParentDomainName
                setter: setParentDomainName
            xml_attribute: true
            type: string
        content:
            expose: true
            access_type: public_method
            serialized_name: content
            xml_element:
                cdata: false
            accessor:
                getter: getContent
                setter: setContent
            type: Plesk\backup\Agent\Schema\Backup\Content
        preferences:
            expose: true
            access_type: public_method
            serialized_name: preferences
            xml_element:
                cdata: false
            accessor:
                getter: getPreferences
                setter: setPreferences
            type: Plesk\backup\Agent\Schema\Backup\SiteType\PreferencesAType
        properties:
            expose: true
            access_type: public_method
            serialized_name: properties
            xml_element:
                cdata: false
            accessor:
                getter: getProperties
                setter: setProperties
            type: Plesk\backup\Agent\Schema\Backup\SiteType\PropertiesAType
        limitsAndPermissions:
            expose: true
            access_type: public_method
            serialized_name: limits-and-permissions
            xml_element:
                cdata: false
            accessor:
                getter: getLimitsAndPermissions
                setter: setLimitsAndPermissions
            type: array<Plesk\backup\Agent\Schema\Backup\Limit>
            xml_list:
                inline: false
                entry_name: limit
                skip_when_empty: true
        mailsystem:
            expose: true
            access_type: public_method
            serialized_name: mailsystem
            xml_element:
                cdata: false
            accessor:
                getter: getMailsystem
                setter: setMailsystem
            type: Plesk\backup\Agent\Schema\Backup\Mailsystem
        databases:
            expose: true
            access_type: public_method
            serialized_name: databases
            xml_element:
                cdata: false
            accessor:
                getter: getDatabases
                setter: setDatabases
            type: array<Plesk\backup\Agent\Schema\Backup\Database>
            xml_list:
                inline: false
                entry_name: database
                skip_when_empty: true
        odbcDsn:
            expose: true
            access_type: public_method
            serialized_name: odbc-dsn
            xml_element:
                cdata: false
            accessor:
                getter: getOdbcDsn
                setter: setOdbcDsn
            xml_list:
                inline: true
                entry_name: odbc-dsn
            type: array<Plesk\backup\Agent\Schema\Backup\OdbcDsn>
        coldfusionDsn:
            expose: true
            access_type: public_method
            serialized_name: coldfusion-dsn
            xml_element:
                cdata: false
            accessor:
                getter: getColdfusionDsn
                setter: setColdfusionDsn
            xml_list:
                inline: true
                entry_name: coldfusion-dsn
            type: array<Plesk\backup\Agent\Schema\Backup\ColdfusionDsn>
        maillists:
            expose: true
            access_type: public_method
            serialized_name: maillists
            xml_element:
                cdata: false
            accessor:
                getter: getMaillists
                setter: setMaillists
            type: Plesk\backup\Agent\Schema\Backup\Maillists
        traffic:
            expose: true
            access_type: public_method
            serialized_name: traffic
            xml_element:
                cdata: false
            accessor:
                getter: getTraffic
                setter: setTraffic
            type: string
        certificates:
            expose: true
            access_type: public_method
            serialized_name: certificates
            xml_element:
                cdata: false
            accessor:
                getter: getCertificates
                setter: setCertificates
            type: array<Plesk\backup\Agent\Schema\Backup\Certificate>
            xml_list:
                inline: false
                entry_name: certificate
                skip_when_empty: true
        tomcat:
            expose: true
            access_type: public_method
            serialized_name: tomcat
            xml_element:
                cdata: false
            accessor:
                getter: getTomcat
                setter: setTomcat
            type: Plesk\backup\Agent\Schema\Backup\Tomcat
        shosting:
            expose: true
            access_type: public_method
            serialized_name: shosting
            xml_element:
                cdata: false
            accessor:
                getter: getShosting
                setter: setShosting
            type: Plesk\backup\Agent\Schema\Backup\Shosting
        fhosting:
            expose: true
            access_type: public_method
            serialized_name: fhosting
            xml_element:
                cdata: false
            accessor:
                getter: getFhosting
                setter: setFhosting
            type: Plesk\backup\Agent\Schema\Backup\Fhosting
        phosting:
            expose: true
            access_type: public_method
            serialized_name: phosting
            xml_element:
                cdata: false
            accessor:
                getter: getPhosting
                setter: setPhosting
            type: Plesk\backup\Agent\Schema\Backup\PhostingType
        extensions:
            expose: true
            access_type: public_method
            serialized_name: extensions
            xml_element:
                cdata: false
            accessor:
                getter: getExtensions
                setter: setExtensions
            type: array<Plesk\backup\Agent\Schema\Backup\Extensions\ExtensionsAType\ExtensionAType>
            xml_list:
                inline: false
                entry_name: extension
                skip_when_empty: true
